<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Keuangan</title>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
  <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
    <h4 class="h4">Profil Keuangan Program Studi yang Diakreditasi</h4>
    <!--        <div class="btn-toolbar mb-2 mb-md-0">-->
    <!--            <div class="btn-group me-2">-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Share</button>-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Export</button>-->
    <!--            </div>-->
    <!--            <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">-->
    <!--                <span data-feather="calendar" class="align-text-bottom"></span>-->
    <!--                This week-->
    <!--            </button>-->
    <!--        </div>-->
  </div>
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <div class="card-header-action" style="text-align: right;">
            <!-- Button trigger modal -->
            <button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#exampleModal">
              Tambah Data
            </button>

            <!-- Modal -->
            <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
              <div class="modal-dialog modal-lg">
                <div class="modal-content">
                  <form th:action="@{/keuangan/save}" method="post">
                    <div class="modal-header">
                      <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                      <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body" style="text-align: left;">
                      <div class="form-group mb-3">
                        <label>Jenis Sumber/Penggunaan</label>
                        <input type="text" class="form-control" name="penggunaan" required>
                        <input type="hidden" th:value="${prodi.id}" name="prodi">
                        <input type="hidden" th:value="${tahun}" name="tahun">
                      </div>
                      <b>Unit Pengelola Program Studi (dalam Jutaan Rupiah)</b>
                      <div class="row" style="margin-bottom: 5px;">
                        <div class="col">
                          <label>TS-2</label>
                          <input type="text" class="form-control" name="unitTsDua">
                        </div>
                        <div class="col">
                          <label>TS-1</label>
                          <input type="text" class="form-control" name="unitTsSatu">
                        </div>
                        <div class="col">
                          <label>TS</label>
                          <input type="text" class="form-control" name="unitTs">
                        </div>
                      </div>
                      <hr>
                      <b>Program Studi  yang Di Akreditasi (dalam Jutaan Rupiah)</b>
                      <div class="row" style="margin-bottom: 5px;">
                        <div class="col">
                          <label>TS-2</label>
                          <input type="text" class="form-control" name="akreditasiTsDua">
                        </div>
                        <div class="col">
                          <label>TS-1</label>
                          <input type="text" class="form-control" name="akreditasiTsSatu">
                        </div>
                        <div class="col">
                          <label>TS</label>
                          <input type="text" class="form-control" name="akreditasiTs">
                        </div>
                      </div>
                      <div class="form-group">
                        <label>Jenis</label>
                        <select name="jenis" class="form-control">
                          <option th:each="jenis : ${T(id.ac.tazkia.spm.entity.Jenis).values()}"
                                  th:value="${jenis}" th:text="${jenis}"></option>
                        </select>
                      </div>
                    </div>
                    <div class="modal-footer">
                      <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-primary">Save changes</button>
                    </div>
                  </form>

                </div>
              </div>
            </div>
            <a th:href="@{/akreditasi(prodi = ${prodi.id}, tahun = ${tahun})}" class="btn btn-warning btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
          </div>
        </div>
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-bordered table-hover">
              <thead class="thead-light" style="--bs-table-bg:#4ba670; color: white;">
              <tr>
                <th rowspan="2">#</th>
                <th rowspan="2">Jenis Sumber/Penggunaan</th>
                <th colspan="4" style="text-align: center;">Unit Pengelola Program Studi (dalam Jutaan Rupiah)</th>
                <th colspan="4" style="text-align: center;">Program Studi  yang Di Akreditasi (dalam Jutaan Rupiah)</th>
                <th colspan="3" style="text-align: center;">Program Studi  yang di Akreditasi (Persentase)</th>
                <th colspan="3" style="text-align: center;">PS Lain di UPPS yang Tidak di Akreditasi (Persentase)</th>
              </tr>
              <tr>
                <th style="text-align: center;">TS-2</th>
                <th style="text-align: center;">TS-1</th>
                <th style="text-align: center;">TS</th>
                <th style="text-align: center;">Rata-rata</th>
                <th style="text-align: center;">TS-2</th>
                <th style="text-align: center;">TS-1</th>
                <th style="text-align: center;">TS</th>
                <th style="text-align: center;">Rata-rata</th>
                <th style="text-align: center;">TS-2</th>
                <th style="text-align: center;">TS-1</th>
                <th style="text-align: center;">TS</th>
                <th style="text-align: center;">TS-2</th>
                <th style="text-align: center;">TS-1</th>
                <th style="text-align: center;">TS</th>
              </tr>
              <tr style="--bs-table-bg:#959696; color: white;">
                <th style="text-align: center;">0</th>
                <th style="text-align: center;">1</th>
                <th style="text-align: center;">2</th>
                <th style="text-align: center;">3</th>
                <th style="text-align: center;">4</th>
                <th style="text-align: center;">5</th>
                <th style="text-align: center;">6</th>
                <th style="text-align: center;">7</th>
                <th style="text-align: center;">8</th>
                <th style="text-align: center;">9</th>
                <th style="text-align: center;">10</th>
                <th style="text-align: center;">11</th>
                <th style="text-align: center;">12</th>
                <th style="text-align: center;">13</th>
                <th style="text-align: center;">14</th>
                <th style="text-align: center;">15</th>
              </tr>
              </thead>
              <tbody>
              <tr>
                <th>1.</th>
                <th colspan="16">Pendapatan</th>
              </tr>
              <tr th:each="dataPendapatan, row:${pendapatan}">
                <td></td>
                <td th:text="${dataPendapatan.penggunaan}"></td>
                <td th:text="${#numbers.formatDecimal(dataPendapatan.unitTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataPendapatan.unitTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataPendapatan.unitTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataPendapatan.unitTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataPendapatan.akreditasiTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataPendapatan.akreditasiTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataPendapatan.akreditasiTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataPendapatan.akreditasiTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(((dataPendapatan.akreditasiTsDua + 0.0) / jumlahPendapatan.akreditasiTsDua) * 100, 1, 2)} + '%'"></td>
                <td th:text="${#numbers.formatDecimal(((dataPendapatan.akreditasiTsSatu + 0.0) / jumlahPendapatan.akreditasiTsSatu) * 100, 1, 2)} + '%'"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
              </tr>
              <tr style="background-color: #eeeeee;">
                <th colspan="2" style="text-align: center;">Jumlah</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPendapatan.getUnitTsDua(), 0, 'POINT', 2, 'COMMA')}">TS-2</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPendapatan.getUnitTsSatu(), 0, 'POINT', 2, 'COMMA')}">TS-1</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPendapatan.getUnitTs(), 0, 'POINT', 2, 'COMMA')}">TS</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPendapatan.getUnitTsRata(), 0, 'POINT', 2, 'COMMA')}">Rata</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPendapatan.getAkreditasiTsDua(), 0, 'POINT', 2, 'COMMA')}">TS-2</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPendapatan.getAkreditasiTsSatu(), 0, 'POINT', 2, 'COMMA')}">TS-1</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPendapatan.getAkreditasiTs(), 0, 'POINT', 2, 'COMMA')}">TS</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPendapatan.getAkreditasiTsRata(), 0, 'POINT', 2, 'COMMA')}">Rata-rata</th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
              </tr>
              <tr>
                <th>2.</th>
                <th colspan="16">Biaya Operasional Pendidikan</th>
              </tr>
              <tr th:each="dataOpersional, row:${biayaOperasional}">
                <td></td>
                <td th:text="${dataOpersional.penggunaan}"></td>
                <td th:text="${#numbers.formatDecimal(dataOpersional.unitTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataOpersional.unitTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataOpersional.unitTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataOpersional.unitTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataOpersional.akreditasiTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataOpersional.akreditasiTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataOpersional.akreditasiTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(dataOpersional.akreditasiTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
              </tr>
              <tr style="background-color: #eeeeee;">
                <th colspan="2" style="text-align: center;">Jumlah</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahBiayaOperasional.getUnitTsDua(), 0, 'POINT', 2, 'COMMA')}">TS-2</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahBiayaOperasional.getUnitTsSatu(), 0, 'POINT', 2, 'COMMA')}">TS-1</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahBiayaOperasional.getUnitTs(), 0, 'POINT', 2, 'COMMA')}">TS</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahBiayaOperasional.getUnitTsRata(), 0, 'POINT', 2, 'COMMA')}">Rata</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahBiayaOperasional.getAkreditasiTsDua(), 0, 'POINT', 2, 'COMMA')}">TS-2</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahBiayaOperasional.getAkreditasiTsSatu(), 0, 'POINT', 2, 'COMMA')}">TS-1</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahBiayaOperasional.getAkreditasiTs(), 0, 'POINT', 2, 'COMMA')}">TS</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahBiayaOperasional.getAkreditasiTsRata(), 0, 'POINT', 2, 'COMMA')}">Rata-rata</th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
              </tr>

              <tr>
                <th>3.</th>
                <th>Biaya Penelitian</th>
                <td th:text="${#numbers.formatDecimal(biayaPenelitian.unitTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPenelitian.unitTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPenelitian.unitTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPenelitian.unitTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPenelitian.akreditasiTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPenelitian.akreditasiTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPenelitian.akreditasiTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPenelitian.akreditasiTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
              </tr>

              <tr>
                <th>4.</th>
                <th>Biaya PKM</th>
                <td th:text="${#numbers.formatDecimal(biayaPkm.unitTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPkm.unitTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPkm.unitTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPkm.unitTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPkm.akreditasiTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPkm.akreditasiTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPkm.akreditasiTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPkm.akreditasiTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
              </tr>

              <tr style="background-color: #eeeeee;">
                <th colspan="2" style="text-align: center;">Jumlah</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPenelitian.getUnitTsDua(), 0, 'POINT', 2, 'COMMA')}">TS-2</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPenelitian.getUnitTsSatu(), 0, 'POINT', 2, 'COMMA')}">TS-1</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPenelitian.getUnitTs(), 0, 'POINT', 2, 'COMMA')}">TS</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPenelitian.getUnitTsRata(), 0, 'POINT', 2, 'COMMA')}">Rata</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPenelitian.getAkreditasiTsDua(), 0, 'POINT', 2, 'COMMA')}">TS-2</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPenelitian.getAkreditasiTsSatu(), 0, 'POINT', 2, 'COMMA')}">TS-1</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPenelitian.getAkreditasiTs(), 0, 'POINT', 2, 'COMMA')}">TS</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahPenelitian.getAkreditasiTsRata(), 0, 'POINT', 2, 'COMMA')}">Rata-rata</th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
              </tr>
              <tr>
                <th>5.</th>
                <th>Biaya Investasi SDM</th>
                <td th:text="${#numbers.formatDecimal(biayaSdm.unitTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSdm.unitTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSdm.unitTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSdm.unitTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSdm.akreditasiTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSdm.akreditasiTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSdm.akreditasiTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSdm.akreditasiTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
              </tr>
              <tr>
                <th>6.</th>
                <th>Biaya Investasi Sarana</th>
                <td th:text="${#numbers.formatDecimal(biayaSarana.unitTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSarana.unitTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSarana.unitTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSarana.unitTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSarana.akreditasiTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSarana.akreditasiTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSarana.akreditasiTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaSarana.akreditasiTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
              </tr>
              <tr>
                <th>7.</th>
                <th>Biaya Investasi Prasarana</th>
                <td th:text="${#numbers.formatDecimal(biayaPrasarana.unitTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPrasarana.unitTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPrasarana.unitTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPrasarana.unitTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPrasarana.akreditasiTsDua, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPrasarana.akreditasiTsSatu, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPrasarana.akreditasiTs, 0, 'POINT', 2, 'COMMA')}"></td>
                <td th:text="${#numbers.formatDecimal(biayaPrasarana.akreditasiTsRata, 0, 'POINT', 2, 'COMMA')}"></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
                <td></td>
              </tr>
              <tr style="background-color: #eeeeee;">
                <th colspan="2" style="text-align: center;">Jumlah</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahInvestasi.getUnitTsDua(), 0, 'POINT', 2, 'COMMA')}">TS-2</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahInvestasi.getUnitTsSatu(), 0, 'POINT', 2, 'COMMA')}">TS-1</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahInvestasi.getUnitTs(), 0, 'POINT', 2, 'COMMA')}">TS</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahInvestasi.getUnitTsRata(), 0, 'POINT', 2, 'COMMA')}">Rata</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahInvestasi.getAkreditasiTsDua(), 0, 'POINT', 2, 'COMMA')}">TS-2</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahInvestasi.getAkreditasiTsSatu(), 0, 'POINT', 2, 'COMMA')}">TS-1</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahInvestasi.getAkreditasiTs(), 0, 'POINT', 2, 'COMMA')}">TS</th>
                <th style="text-align: center;" th:text="${#numbers.formatDecimal(jumlahInvestasi.getAkreditasiTsRata(), 0, 'POINT', 2, 'COMMA')}">Rata-rata</th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
                <th></th>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>
</body>
</html>